<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     SPB: Smart PostBit
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function SmartPostBit_Main()
{
	global $context, $modSettings, $settings;
	
	// Load the language
	loadLanguage('SPB');

	// Add CSS
	if (!empty($modSettings['spb_enable'])) {
	$context['html_headers'] .= '<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/css/SPB.styles.css?fin20" />';
	}
}

function SmartPostBit_Settings(&$config_vars)
{
	// Load the language
	loadLanguage('SPB');

	$spb = array(
			// Add SmartPostBit Settings
			array('check', 'spb_enable'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $spb);
}

?>